# SSHPacketHandler (sshj 0.4.1 API)
Date: 2011-06-19

## net.schmizz.sshj.common
Interface SSHPacketHandler

All Known Subinterfaces:
  AuthMethod, Channel, Channel.Direct, Channel.Forwarded, Service, Session, Session.Command, Session.Shell, Session.Subsystem, Transport

All Known Implementing Classes:
  AbstractAuthMethod, AbstractChannel, AbstractDirectChannel, AbstractForwardedChannel, AbstractService, AuthHostbased, AuthKeyboardInteractive, AuthNone, AuthPassword, AuthPublickey, ConnectionImpl, KeyedAuthMethod, RemotePortForwarder.ForwardedTCPIPChannel, SessionChannel, TransportImpl, UserAuthImpl, X11Forwarder.X11Channel

    public interface SSHPacketHandler

An interface for classes to which packet handling may be delegated. Chains of such delegations may be used, e.g. `packet decoder -> (SSHPacketHandler) transport layer -> (SSHPacketHandler) connection layer -> (SSHPacketHandler) channel`.

Method Summary
`void` `handle(Message msg, SSHPacket buf)` Delegate handling of some SSH packet to this object.

Method Detail

### handle

    void handle(Message msg,
                SSHPacket buf)
                throws SSHException

  Delegate handling of some SSH packet to this object.

  Parameters:
    `msg` - the SSH `message identifier`
    `buf` - `SSHPacket` containing rest of the request
  Throws:
    `SSHException` - if there is a non-recoverable error

Copyright © 2009-2011. All Rights Reserved.